[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.EndsText

Check if one string is the ending of another.

## Declaration

Source position: syshelph.inc line 80

`public class function TStringHelper.EndsText(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Description

EndsText returns True if AText ends on SubText, i.e. whether the last characters in AText are the ones found in SubText. The comparison is done case insensitively.

## See also

CompareText |  | Compare 2 ansistrings case insensitive.
TStringHelper.EndsWith |  | Check if the string is ended by another.